Skip to content
Wireshark-Specific Dissector Language
Lua Shell Makefile
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.ci
doc specifiers: Added support for ether() Nov 21, 2016
samples
src/wssdl
test
.gitignore
.travis.yml
ChangeLog release: v0.2.0 Nov 5, 2016
LICENSE Fiat Lux. Oct 17, 2016
Makefile
README.md
pack.lua

README.md

🝰 wssdl

Build Status License (GPL) Version (Experimental) Language (Lua) Gitter chat

Wireshark-Specific Dissector Language

wssdl.packet {
  message     : u8();
  definition  : i32();
  done        : utf8z();
  easy        : ipv4();
}

What is this?

wssdl is a domain specific language on top of lua built for the purpose of expressing easily message dissectors.

Documentation

Stable Latest
Stable docs Latest docs

Also check out some of the samples.

Install

From the release

Grab the bootstrapped wssdl.lua from the latest release, and put it in your Wireshark Plugin directory (usually ~/.config/wireshark/plugins, ~/.wireshark/plugins or /usr/lib/wireshark/<version>)

From source

The build toolchain needs lua 5.1 or newer, luarocks and the luafilesystem module.

Clone this repository, and from the root directory call make install to install it to ~/.config/wireshark/plugins, or make WS_PLUGIN_DIR=/your/path install to install it to the path of your choice.

You can’t perform that action at this time.